Package org.apache.lucene.util.compress

## Class LZ4.FastCompressionHashTable

- java.lang.Object
- - org.apache.lucene.util.compress.LZ4.FastCompressionHashTable

- Enclosing class:
    LZ4

      public static final class LZ4.FastCompressionHashTable
      extends Object

  Simple lossy `LZ4.HashTable` that only stores the last ocurrence for each hash on `2^14` bytes of memory.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastCompressionHashTable()` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `previous​(int off)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastCompressionHashTable

          public FastCompressionHashTable()

      Sole constructor

  - ### Method Detail

    - #### previous

          public int previous​(int off)